跳转到内容
简体中文

自动回复

PUT/v1/mailboxes/{mailbox_id}/autoresponder

自动回复的日期必须包含时区;repeat_days 范围为 1–30。仅回复新收到的私人邮件:From 必须与 Return-Path 一致。

授权和访问区域 · 错误和重复

要求

终端窗口
curl -X PUT 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/autoresponder' \
-H 'Authorization: Bearer <access_token>' \
-H 'Content-Type: application/json' \
--data '{"enabled":false,"subject":"","text":"","starts_at":"2026-11-01T12:00:00Z","ends_at":"2026-11-01T12:00:00Z","repeat_days":7}'

选项

mailbox_idpath一定

integer

X-Customer-IDheader
选项 1

string

选项 2

null

请求正文 · application/json

object

enabled

boolean

默认: false

subject

string

默认: ""

maxLength: 200

text

string

默认: ""

maxLength: 10000

starts_at
选项 1

string · date-time

选项 2

null

ends_at
选项 1

string · date-time

选项 2

null

repeat_days

integer

默认: 7

minimum: 1

maximum: 30

不接受未知字段。

响应

200 成功回复

application/json

object

enabled

boolean

默认: false

subject

string

默认: ""

maxLength: 200

text

string

默认: ""

maxLength: 10000

starts_at
选项 1

string · date-time

选项 2

null

ends_at
选项 1

string · date-time

选项 2

null

repeat_days

integer

默认: 7

minimum: 1

maximum: 30

不接受未知字段。

401 需要登录

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

403 无法访问

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

404 找不到资源

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

409 国家冲突

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

422 验证错误

application/json

object

detail

array

数组元素

object

loc一定

array

数组元素
选项 1

string

选项 2

integer

msg一定

string

type一定

string

503 暂时无法使用

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object